| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions

# IG::Script::ScritpScalarFunctionExample Class Reference

Example script for definition of a new real function class. More...

Inheritance diagram for IG::Script::ScritpScalarFunctionExample:
[legend]
Collaboration diagram for IG::Script::ScritpScalarFunctionExample:
[legend]

List of all members.

## Classes
class | Container
| Container class inherits from M in order to enable use of comfortable mathematical functions. More...
## Public Member Functions
override LoadableScalarFunctionBase | CreateScalarFunction ()
| Creates and returns a new scalar function object where functions are defined by compiled user defined strings.
override LoadableScalarFunctionBase | CreateScalarFunction (IAffineTransformation transf)
| Creates and returns a new scalar function object where functions are defined by compiled user defined strings, and with affine transformation of parameters.

## Detailed Description

Example script for definition of a new real function class.

$A Igor Jun10 Aug10;

## Member Function Documentation

override LoadableScalarFunctionBase IG::Script::ScritpScalarFunctionExample::CreateScalarFunction | ( |  | ) | `[inline, virtual]`

Creates and returns a new scalar function object where functions are defined by compiled user defined strings.

Implements IG::Lib::LoadableScriptScalarFunctionBase.

override LoadableScalarFunctionBase IG::Script::ScritpScalarFunctionExample::CreateScalarFunction | ( | IAffineTransformation | transf | ) | `[inline, virtual]`

Creates and returns a new scalar function object where functions are defined by compiled user defined strings, and with affine transformation of parameters.

Parameters:

  transf | Affine transformation used to transform function parameters from the reference to the actual frame.

$A Igor Sep11;

Implements IG::Lib::LoadableScriptScalarFunctionBase.

The documentation for this class was generated from the following file:

- ScalarFunctionScriptExample.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events